Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision cc09c074d6c216d901a7b497089cf0fbc97f0548)
+++ chapter01/changelog.xml	(revision a9a92e43f7b068ad903eb533b1685a3a56f7c808)
@@ -43,4 +43,27 @@
     appropriate for the entry or if needed the entire day's listitem.
 -->
+
+    <listitem>
+      <para>2018-10-10</para>
+      <itemizedlist>
+        <listitem revision="systemd">
+          <para>[dj] - Removed incorrect link to /toold/lib64 in systemd
+          instructions. Fixes
+          <ulink url="&lfs-ticket-root;4355">#4355</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[dj] - Added systemd-239-meson-0.40.0_fixes-1.patch to resolve
+          build errors with meson.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Update to meson-0.40.0. Fixes
+          <ulink url="&lfs-ticket-root;4351">#4351</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Update to linux-4.18.12. Fixes
+          <ulink url="&lfs-ticket-root;4352">#4352</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision cc09c074d6c216d901a7b497089cf0fbc97f0548)
+++ chapter03/patches.xml	(revision a9a92e43f7b068ad903eb533b1685a3a56f7c808)
@@ -135,4 +135,13 @@
     </varlistentry>
 
+    <varlistentry revision="systemd">
+      <term>systemd meson fixes patch - <token>&systemd-meson-patch-size;</token>:</term>
+      <listitem>
+        <para>Download: <ulink url="&patches-root;&systemd-meson-patch;"/></para>
+        <para>MD5 sum: <literal>&systemd-meson-patch-md5;</literal></para>
+      </listitem>
+    </varlistentry>
+
+
   </variablelist>
 
Index: chapter06/systemd.xml
===================================================================
--- chapter06/systemd.xml	(revision cc09c074d6c216d901a7b497089cf0fbc97f0548)
+++ chapter06/systemd.xml	(revision a9a92e43f7b068ad903eb533b1685a3a56f7c808)
@@ -48,5 +48,5 @@
     create links to the libraries in the approprite location:</para>
 
-<screen><userinput remap="pre">for file in /tools/lib64/lib{blkid,mount,uuid}*; do
+<screen><userinput remap="pre">for file in /tools/lib/lib{blkid,mount,uuid}*; do
     ln -sf $file /usr/lib/
 done</userinput></screen>
@@ -63,4 +63,8 @@
 
 <screen><userinput remap="pre">patch -Np1 -i ../systemd-&systemd-version;-glibc_statx_fix-1.patch</userinput></screen>
+
+    <para>Apply a patch to fix a build failure with meson-0.40.0:</para>
+
+<screen><userinput remap="pre">patch -Np1 -i ../systemd-&systemd-version;-meson-0.40.0_fixes-1.patch</userinput></screen>
 
     <para>Remove an unneeded group,
Index: general.ent
===================================================================
--- general.ent	(revision cc09c074d6c216d901a7b497089cf0fbc97f0548)
+++ general.ent	(revision a9a92e43f7b068ad903eb533b1685a3a56f7c808)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20180930">
+<!ENTITY version         "SVN-20181010">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20180930-systemd">
+<!ENTITY versiond        "20181010-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "September 30, 2018">
+<!ENTITY releasedate     "October 10, 2018">
 
 <!ENTITY copyrightdate   "1999-2018"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision cc09c074d6c216d901a7b497089cf0fbc97f0548)
+++ packages.ent	(revision a9a92e43f7b068ad903eb533b1685a3a56f7c808)
@@ -414,10 +414,10 @@
 <!ENTITY linux-major-version "4">
 <!ENTITY linux-minor-version "18">
-<!ENTITY linux-patch-version "9">
+<!ENTITY linux-patch-version "12">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;"> -->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "99,413 KB">
+<!ENTITY linux-size "99,432 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "6f082741ab20f03a334fe533d533880e">
+<!ENTITY linux-md5 "4f6af94e58a89e89aa1683475544a58a">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -468,8 +468,8 @@
 <!ENTITY man-pages-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY meson-version "0.47.2">
-<!ENTITY meson-size "1,239 KB">
+<!ENTITY meson-version "0.48.0">
+<!ENTITY meson-size "1,284 KB">
 <!ENTITY meson-url "&github;/mesonbuild/meson/releases/download/&meson-version;/meson-&meson-version;.tar.gz">
-<!ENTITY meson-md5 "31bda3519d8c0eb3438267268a78085e">
+<!ENTITY meson-md5 "e92273538c6b8371e68d736287a5d991">
 <!ENTITY meson-home "https://mesonbuild.com">
 <!ENTITY meson-ch6-du "21 MB">
Index: patches.ent
===================================================================
--- patches.ent	(revision cc09c074d6c216d901a7b497089cf0fbc97f0548)
+++ patches.ent	(revision a9a92e43f7b068ad903eb533b1685a3a56f7c808)
@@ -67,2 +67,7 @@
 <!ENTITY systemd-glibc-patch-md5 "a44057d6a6ca69760bafc126458d89e5">
 <!ENTITY systemd-glibc-patch-size "4 KB">
+
+<!ENTITY systemd-meson-patch "systemd-&systemd-version;-meson-0.40.0_fixes-1.patch">
+<!ENTITY systemd-meson-patch-md5 "0e12e0722bd6bb84e8a4ec4de8979722">
+<!ENTITY systemd-meson-patch-size "4 KB">
+
